Skip to main content
GET
/
market-data
/
price
Get Token Price
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/market-data/price \
  --header 'X-API-KEY: <api-key>'
{}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

id
string

The ID of the coin to get price of, separated by commas for multiple coins

Example:

"cg:ethereum, cg:tether, cmc:5426"

symbol
string
default:ETH,USDT,SOL

Symbols of coin to get price of, separated by commas for multiple coins

Example:

"ETH,USDT,SOL"

chainId
string

Unique identifier for a blockchain network, separated by commas for multiple tokens

tokenAddress
string

The address of the token to query, separated by commas for multiple tokens

currency
string
default:USD

Target currency (USD, EUR, JPY etc)

Example:

"USD,EUR,JPY"

includeAllCurrencies
boolean

Whether to get marketcap in all currencies

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
Alchemy,
CoinGecko,
CoinMarketCap

Response

200 - application/json

The response is of type object.